Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[RISOLTO] Errore di emerge: "masked or don't exist"
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
lsegalla
l33t
l33t


Joined: 27 Jun 2007
Posts: 796

PostPosted: Thu Dec 18, 2008 8:49 am    Post subject: [RISOLTO] Errore di emerge: "masked or don't exist" Reply with quote

Da un po' di tempo facendo il solito emerge -uDN world mi compare questo messaggio, che è comunqueu relativo a un pacchetto installato e funzionante (a volte va in crash pero'), cioè xvidcaps

Code:

Calculating world dependencies |
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
x11-misc/xvidcap


Che problema è e come posso risolverlo ?


Last edited by lsegalla on Mon Jan 05, 2009 9:38 am; edited 1 time in total
Back to top
View user's profile Send private message
randomaze
Bodhisattva
Bodhisattva


Joined: 21 Oct 2003
Posts: 9985

PostPosted: Thu Dec 18, 2008 9:39 am    Post subject: Re: Errore di emerge: "masked or don't exist" Reply with quote

lsegalla wrote:
Che problema è e come posso risolverlo ?


Il problema è che hai installato un ebuild che in seguito è stato messo in stato masked (o addirittura rimosso).
Per eliminare il warning:
Code:
echo "x11-misc/xvidcap ~x86" >> /etc/portage/packages.keyword

oppure, se non usi il programma, basta rimuoverlo.
_________________
Ciao da me!
Back to top
View user's profile Send private message
lsegalla
l33t
l33t


Joined: 27 Jun 2007
Posts: 796

PostPosted: Thu Dec 18, 2008 11:04 am    Post subject: Reply with quote

piu' che altro è un peccato, se dovessi disinstallarlo e reinstallarlo chissà se si puo' poi
perchè ogni tanto lo uso...

Però non ho risolto... :(
Back to top
View user's profile Send private message
randomaze
Bodhisattva
Bodhisattva


Joined: 21 Oct 2003
Posts: 9985

PostPosted: Thu Dec 18, 2008 11:07 am    Post subject: Reply with quote

lsegalla wrote:
Però non ho risolto... :(


smascherando il pacchetto non hai risolto? Controlla il mio comando perché mi sa che ho dimenticato una 's' in fondo al nome del file (o forse ne ho messa una di troppo su package's').... non ho sottomano la gentoo per verificare il nome corretto :-(
_________________
Ciao da me!
Back to top
View user's profile Send private message
ckx3009
Guru
Guru


Joined: 08 Apr 2008
Posts: 362
Location: Milano, Italy

PostPosted: Thu Dec 18, 2008 12:13 pm    Post subject: Reply with quote

package.keywords

cmq se guardi con eix, dovresti vedere se esiste.
sul sito di portage e' riportato che ci sono le versioni 1.1.6-r2 e 1.1.7 ~arch.
Back to top
View user's profile Send private message
lsegalla
l33t
l33t


Joined: 27 Jun 2007
Posts: 796

PostPosted: Thu Dec 18, 2008 12:35 pm    Post subject: Reply with quote

Infatti si chiama packages.keywords pero' il comando lo avevo digitato correttamente (anzi per precisare copia-incolla e ho poi tolto la s), pero' ancora non ho risolto quindi confermo che ho ancora il problema anche dopo lo smascheramento.

Con eix ottengo quanto segue
Code:
gentoo-linux portage # eix xvidcap
[D] x11-misc/xvidcap
     Available versions:  ~1.1.6-r2 ~1.1.7 {mp3 theora}
     Installed versions:  1.1.4_rc1(16:04:59 01/02/08)(gtk)
     Homepage:            http://xvidcap.sourceforge.net/
     Description:         Screen capture utility to create videos of your desktop for documentation purposes
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Thu Dec 18, 2008 12:54 pm    Post subject: Reply with quote

effetivamente è strano, xvidcap-1.1.4.ebuild non esiste da nessuna parte ma eix me lo riporta come presente.
Ho dovuto cancellare la cache per avere il risultato corretto, ma xvidcap non lo ho mai installato.
Qualcuno ha una idea?

@lsegalla una volta smascherato dovrebbe funzionare senza problemi l'aggiornamento.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
lsegalla
l33t
l33t


Joined: 27 Jun 2007
Posts: 796

PostPosted: Thu Dec 18, 2008 1:00 pm    Post subject: Reply with quote

Beh, non è un problema, l'aggiornamento posso lasciarlo stare.
Però il messaggio d'errore persiste.
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Thu Dec 18, 2008 4:33 pm    Post subject: Reply with quote

Recupera l'ebuild tramite il repository CVS dell'albero di Portage, e mettilo in un tuo overlay locale.

L'errore persiste?
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
lsegalla
l33t
l33t


Joined: 27 Jun 2007
Posts: 796

PostPosted: Mon Dec 22, 2008 11:09 am    Post subject: Reply with quote

Scen wrote:
mettilo in un tuo overlay locale

come fo ?
Back to top
View user's profile Send private message
Peach
Advocate
Advocate


Joined: 08 Mar 2003
Posts: 3686
Location: London, UK

PostPosted: Mon Dec 22, 2008 11:28 am    Post subject: Reply with quote

lsegalla wrote:
reinstallarlo chissà se si puo' poi

basta che trovi l'ebuild e te la copi nell'overlay locale
_________________
Gentoo user since 2004.
"It's all fun and games, until someone loses an eye" - mom
Back to top
View user's profile Send private message
Apetrini
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1158

PostPosted: Mon Dec 22, 2008 5:28 pm    Post subject: Reply with quote

Ma non sarebbe più semplice (e anche più giusto) rimuovere il pacchetto dal world.
Batti un
Code:
nano -w /var/lib/portage/world
cerca il pacchetto e cancella la riga corrispondente.

Se uno vuole aggiornare un pacchetto che è stato rimosso è ovvio che non ci riesce, da qui basta decidere di non permettere più aggiornamenti a tale pacchetto e questo si fa rimuovendo il pacchetto dal world.
_________________
Linux ape 2.6.31-vanilla. Paludis since 0.28.0.
Back to top
View user's profile Send private message
lsegalla
l33t
l33t


Joined: 27 Jun 2007
Posts: 796

PostPosted: Mon Jan 05, 2009 9:37 am    Post subject: Reply with quote

Questo si è risolto da solo, di recente è stato aggiornato il portage vedo... potrebbe esser stato quello ?
Io alla fine non l'ho tolto da world, mah... provero' a tenere sott'occhio ancora la cosa se mi ricapita
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum